Open CASCADE Technology: StepData_Field Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepData_Field Class Reference

Defines a generally defined Field for STEP data : can be used either in any kind of entity to implement it or in free format entities in a "late-binding" mode A field can have : no value (or derived), a single value of any kind, a list of value : single or double list. More...

`#include <StepData_Field.hxx>`

## Public Member Functions
| StepData_Field ()
| Creates a Field, empty ("no value defined") More...
| StepData_Field (const StepData_Field &other, const Standard_Boolean copy=Standard_False)
| Creates a Field from another one. If <copy> is True, Handled data (Select,String,List, not entities) are copied. More...
void | CopyFrom (const StepData_Field &other)
| Gets the copy of the values of another field. More...
void | Clear (const Standard_Integer kind=0)
| Clears the field, to set it as "no value defined" Just before SetList, predeclares it as "any" A Kind can be directly set here to declare a type. More...
void | SetDerived ()
| Codes a Field as derived (no proper value) More...
void | SetInt (const Standard_Integer val)
| Directly sets the Integer value, if its Kind matches Integer, Boolean, Logical, or Enum (does not change Kind) More...
void | SetInteger (const Standard_Integer val=0)
| Sets an Integer value (before SetList* declares it as Integer) More...
void | SetBoolean (const Standard_Boolean val=Standard_False)
| Sets a Boolean value (or predeclares a list as boolean) More...
void | SetLogical (const StepData_Logical val=StepData_LFalse)
| Sets a Logical Value (or predeclares a list as logical) More...
void | SetReal (const Standard_Real val=0.0)
| Sets a Real Value (or predeclares a list as Real);. More...
void | SetString (const Standard_CString val="")
| Sets a String Value (or predeclares a list as String) Does not redefine the Kind if it is alread String or Enum. More...
void | SetEnum (const Standard_Integer val=-1, const Standard_CString text="")
| Sets an Enum Value (as its integer counterpart) (or predeclares a list as Enum) If <text> is given , also sets its textual expression <val> negative means unknown (known values begin at 0) More...
void | SetSelectMember (const Handle< StepData_SelectMember > &val)
| Sets a SelectMember (for Integer,Boolean,Enum,Real,Logical) Hence, the value of the field is accessed through this member. More...
void | SetEntity (const Handle< Standard_Transient > &val)
| Sets an Entity Value. More...
void | SetEntity ()
| Predeclares a list as of entity. More...
void | SetList (const Standard_Integer size, const Standard_Integer first=1)
| Declares a field as a list, with an initial size Initial lower is defaulted as 1, can be defined The list starts empty, typed by the last Set* If no Set* before, sets it as "any" (transient/select) More...
void | SetList2 (const Standard_Integer siz1, const Standard_Integer siz2, const Standard_Integer f1=1, const Standard_Integer f2=1)
| Declares a field as an homogeneous square list, with initial sizes, and initial lowers. More...
void | Set (const Handle< Standard_Transient > &val)
| Sets an undetermined value : can be String, SelectMember, HArray(1-2) ... else, an Entity In case of an HArray, determines and records its size(s) More...
void | ClearItem (const Standard_Integer num)
| Declares an item of the list as undefined (ignored if list not defined as String,Entity or Any) More...
void | SetInt (const Standard_Integer num, const Standard_Integer val, const Standard_Integer kind)
| Internal access to an Integer Value for a list, plus its kind. More...
void | SetInteger (const Standard_Integer num, const Standard_Integer val)
| Sets an Integer Value for a list (rank num) (recognizes a SelectMember) More...
void | SetBoolean (const Standard_Integer num, const Standard_Boolean val)
void | SetLogical (const Standard_Integer num, const StepData_Logical val)
void | SetEnum (const Standard_Integer num, const Standard_Integer val, const Standard_CString text="")
| Sets an Enum Value (Integer counterpart), also its text expression if known (if list has been set as "any") More...
void | SetReal (const Standard_Integer num, const Standard_Real val)
void | SetString (const Standard_Integer num, const Standard_CString val)
void | SetEntity (const Standard_Integer num, const Handle< Standard_Transient > &val)
Standard_Boolean | IsSet (const Standard_Integer n1=1, const Standard_Integer n2=1) const
Standard_Integer | ItemKind (const Standard_Integer n1=1, const Standard_Integer n2=1) const
| Returns the kind of an item in a list or double list It is the kind of the list, except if it is "Any", in such a case the true kind is determined and returned. More...
Standard_Integer | Kind (const Standard_Boolean type=Standard_True) const
| Returns the kind of the field <type> True (D) : returns only the type itself else, returns the complete kind. More...
Standard_Integer | Arity () const
Standard_Integer | Length (const Standard_Integer index=1) const
Standard_Integer | Lower (const Standard_Integer index=1) const
Standard_Integer | Int () const
Standard_Integer | Integer (const Standard_Integer n1=1, const Standard_Integer n2=1) const
Standard_Boolean | Boolean (const Standard_Integer n1=1, const Standard_Integer n2=1) const
StepData_Logical | Logical (const Standard_Integer n1=1, const Standard_Integer n2=1) const
Standard_Real | Real (const Standard_Integer n1=1, const Standard_Integer n2=1) const
Standard_CString | String (const Standard_Integer n1=1, const Standard_Integer n2=1) const
Standard_Integer | Enum (const Standard_Integer n1=1, const Standard_Integer n2=1) const
Standard_CString | EnumText (const Standard_Integer n1=1, const Standard_Integer n2=1) const
Handle< Standard_Transient > | Entity (const Standard_Integer n1=1, const Standard_Integer n2=1) const
Handle< Standard_Transient > | Transient () const

## Detailed Description

Defines a generally defined Field for STEP data : can be used either in any kind of entity to implement it or in free format entities in a "late-binding" mode A field can have : no value (or derived), a single value of any kind, a list of value : single or double list.

When a field is set, this defines its new kind (Integer etc..) A single value is immediately set. A list of value is, firstly declared as for a kind (Integer String etc), then declared as a list with its initial size, after this its items are set Also it can be set in once if the HArray is ready

## Constructor & Destructor Documentation

StepData_Field::StepData_Field | ( |  | ) |

Creates a Field, empty ("no value defined")

StepData_Field::StepData_Field | ( | const StepData_Field & | other,
|  | const Standard_Boolean | copy = `Standard_False`
| ) |  |

Creates a Field from another one. If <copy> is True, Handled data (Select,String,List, not entities) are copied.

## Member Function Documentation

Standard_Integer StepData_Field::Arity | ( |  | ) | const

Standard_Boolean StepData_Field::Boolean | ( | const Standard_Integer | n1 = `1`,
|  | const Standard_Integer | n2 = `1`
| ) |  | const

void StepData_Field::Clear | ( | const Standard_Integer | kind = `0` | ) |

Clears the field, to set it as "no value defined" Just before SetList, predeclares it as "any" A Kind can be directly set here to declare a type.

void StepData_Field::ClearItem | ( | const Standard_Integer | num | ) |

Declares an item of the list as undefined (ignored if list not defined as String,Entity or Any)

void StepData_Field::CopyFrom | ( | const StepData_Field & | other | ) |

Gets the copy of the values of another field.

Handle< Standard_Transient > StepData_Field::Entity | ( | const Standard_Integer | n1 = `1`,
|  | const Standard_Integer | n2 = `1`
| ) |  | const

Standard_Integer StepData_Field::Enum | ( | const Standard_Integer | n1 = `1`,
|  | const Standard_Integer | n2 = `1`
| ) |  | const

Standard_CString StepData_Field::EnumText | ( | const Standard_Integer | n1 = `1`,
|  | const Standard_Integer | n2 = `1`
| ) |  | const

Standard_Integer StepData_Field::Int | ( |  | ) | const

Standard_Integer StepData_Field::Integer | ( | const Standard_Integer | n1 = `1`,
|  | const Standard_Integer | n2 = `1`
| ) |  | const

Standard_Boolean StepData_Field::IsSet | ( | const Standard_Integer | n1 = `1`,
|  | const Standard_Integer | n2 = `1`
| ) |  | const

Standard_Integer StepData_Field::ItemKind | ( | const Standard_Integer | n1 = `1`,
|  | const Standard_Integer | n2 = `1`
| ) |  | const

Returns the kind of an item in a list or double list It is the kind of the list, except if it is "Any", in such a case the true kind is determined and returned.

Standard_Integer StepData_Field::Kind | ( | const Standard_Boolean | type = `Standard_True` | ) | const

Returns the kind of the field <type> True (D) : returns only the type itself else, returns the complete kind.

Standard_Integer StepData_Field::Length | ( | const Standard_Integer | index = `1` | ) | const

StepData_Logical StepData_Field::Logical | ( | const Standard_Integer | n1 = `1`,
|  | const Standard_Integer | n2 = `1`
| ) |  | const

Standard_Integer StepData_Field::Lower | ( | const Standard_Integer | index = `1` | ) | const

Standard_Real StepData_Field::Real | ( | const Standard_Integer | n1 = `1`,
|  | const Standard_Integer | n2 = `1`
| ) |  | const

void StepData_Field::Set | ( | const Handle< Standard_Transient > & | val | ) |

Sets an undetermined value : can be String, SelectMember, HArray(1-2) ... else, an Entity In case of an HArray, determines and records its size(s)

void StepData_Field::SetBoolean | ( | const Standard_Boolean | val = `Standard_False` | ) |

Sets a Boolean value (or predeclares a list as boolean)

void StepData_Field::SetBoolean | ( | const Standard_Integer | num,
|  | const Standard_Boolean | val
| ) |  |

void StepData_Field::SetDerived | ( |  | ) |

Codes a Field as derived (no proper value)

void StepData_Field::SetEntity | ( | const Handle< Standard_Transient > & | val | ) |

Sets an Entity Value.

void StepData_Field::SetEntity | ( |  | ) |

Predeclares a list as of entity.

void StepData_Field::SetEntity | ( | const Standard_Integer | num,
|  | const Handle< Standard_Transient > & | val
| ) |  |

void StepData_Field::SetEnum | ( | const Standard_Integer | val = `-1`,
|  | const Standard_CString | text = `""`
| ) |  |

Sets an Enum Value (as its integer counterpart) (or predeclares a list as Enum) If <text> is given , also sets its textual expression <val> negative means unknown (known values begin at 0)

void StepData_Field::SetEnum | ( | const Standard_Integer | num,
|  | const Standard_Integer | val,
|  | const Standard_CString | text = `""`
| ) |  |

Sets an Enum Value (Integer counterpart), also its text expression if known (if list has been set as "any")

void StepData_Field::SetInt | ( | const Standard_Integer | val | ) |

Directly sets the Integer value, if its Kind matches Integer, Boolean, Logical, or Enum (does not change Kind)

void StepData_Field::SetInt | ( | const Standard_Integer | num,
|  | const Standard_Integer | val,
|  | const Standard_Integer | kind
| ) |  |

Internal access to an Integer Value for a list, plus its kind.

void StepData_Field::SetInteger | ( | const Standard_Integer | val = `0` | ) |

Sets an Integer value (before SetList* declares it as Integer)

void StepData_Field::SetInteger | ( | const Standard_Integer | num,
|  | const Standard_Integer | val
| ) |  |

Sets an Integer Value for a list (rank num) (recognizes a SelectMember)

void StepData_Field::SetList | ( | const Standard_Integer | size,
|  | const Standard_Integer | first = `1`
| ) |  |

Declares a field as a list, with an initial size Initial lower is defaulted as 1, can be defined The list starts empty, typed by the last Set* If no Set* before, sets it as "any" (transient/select)

void StepData_Field::SetList2 | ( | const Standard_Integer | siz1,
|  | const Standard_Integer | siz2,
|  | const Standard_Integer | f1 = `1`,
|  | const Standard_Integer | f2 = `1`
| ) |  |

Declares a field as an homogeneous square list, with initial sizes, and initial lowers.

void StepData_Field::SetLogical | ( | const StepData_Logical | val = `StepData_LFalse` | ) |

Sets a Logical Value (or predeclares a list as logical)

void StepData_Field::SetLogical | ( | const Standard_Integer | num,
|  | const StepData_Logical | val
| ) |  |

void StepData_Field::SetReal | ( | const Standard_Real | val = `0.0` | ) |

Sets a Real Value (or predeclares a list as Real);.

void StepData_Field::SetReal | ( | const Standard_Integer | num,
|  | const Standard_Real | val
| ) |  |

void StepData_Field::SetSelectMember | ( | const Handle< StepData_SelectMember > & | val | ) |

Sets a SelectMember (for Integer,Boolean,Enum,Real,Logical) Hence, the value of the field is accessed through this member.

void StepData_Field::SetString | ( | const Standard_CString | val = `""` | ) |

Sets a String Value (or predeclares a list as String) Does not redefine the Kind if it is alread String or Enum.

void StepData_Field::SetString | ( | const Standard_Integer | num,
|  | const Standard_CString | val
| ) |  |

Standard_CString StepData_Field::String | ( | const Standard_Integer | n1 = `1`,
|  | const Standard_Integer | n2 = `1`
| ) |  | const

Handle< Standard_Transient > StepData_Field::Transient | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepData_Field.hxx